/*
    This file is part of the oolaboola digital dj program

    Copyright (C) 1999  Eric S. Tiedemann

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <cstddef>
#include <exception>

class soundout
{
  int dspfd;
  int blocksize;
  unsigned char *buf1;

public:

  class DeviceError : public std::exception
    {
      char *what() { return "soundfile::DeviceError"; }
    };

  size_t getbufsiz();
  bool put(const float *f, size_t n);
  soundout(int frag = 0x00070009);
  ~soundout();
};

extern soundout *mydsp(int frag = 0x00070009);

// euch
extern void cue_put(float *f, size_t n);
extern bool cue_try(const char *cue_channel, int frag = 0x00070009);

extern void outfile_put(FILE *, const float *, size_t);
extern void convert2(const float *in, size_t nsamps, unsigned char *out);
